Vulnerability  oval:org.opensuse.security:def:20073851
CVE-2007-3851  

The drm/i915 component in the Linux kernel before 2.6.22.2, when used with i965G and later chipsets, allows local users with access to an X11 session and Direct Rendering Manager (DRM) to write to arbitrary memory locations and gain privileges via a crafted batchbuffer.

Affected Platforms/Products

Affected Products (CPE + CVE references)
Platforms: unix (from OVAL definitions)
  • SUSE Linux Enterprise Desktop 10 SP1 for x86
  • SUSE Linux Enterprise Desktop 10 SP1 for AMD64 and Intel EM64T

References

Criteria

The system is vulnerable
IF : Any one of the following are true
IF : All of the following are true
IF : sled10 is installed
Linux : RPM Test :  sled-release is ==10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sled-release
version equals 10
linux : rpminfo_state 
IF : Any one of the following are true
IF : sax2 less than 7.1-125.41.3
Linux : RPM Test :  sax2 is <7.1-125.41.3 
At least one of the objects listed below must exist on the system (Existence check)
RPM Version less than 0:7.1-125.41.3 (datatype=evr_string)
linux : rpminfo_state 
IF : sax2-tools less than 2.7-125.41.3
Linux : RPM Test :  sax2-tools is <2.7-125.41.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sax2-tools
RPM Version less than 0:2.7-125.41.3 (datatype=evr_string)
linux : rpminfo_state 
IF : sax2-libsax less than 7.1-125.41.3
Linux : RPM Test :  sax2-libsax is <7.1-125.41.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sax2-libsax
RPM Version less than 0:7.1-125.41.3 (datatype=evr_string)
linux : rpminfo_state 
IF : sax2-libsax-perl less than 7.1-125.41.3
Linux : RPM Test :  sax2-libsax-perl is <7.1-125.41.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sax2-libsax-perl
RPM Version less than 0:7.1-125.41.3 (datatype=evr_string)
linux : rpminfo_state 
IF : sax2-libsax-csharp less than 7.1-121.41.3
Linux : RPM Test :  sax2-libsax-csharp is <7.1-121.41.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sax2-libsax-csharp
RPM Version less than 0:7.1-121.41.3 (datatype=evr_string)
linux : rpminfo_state 
IF : sax2-ident less than 1.7-125.42.3
Linux : RPM Test :  sax2-ident is <1.7-125.42.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sax2-ident
RPM Version less than 0:1.7-125.42.3 (datatype=evr_string)
linux : rpminfo_state 
IF : sax2-gui less than 1.7-125.41.3
Linux : RPM Test :  sax2-gui is <1.7-125.41.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sax2-gui
RPM Version less than 0:1.7-125.41.3 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-xorg-x11 less than 6.9.0.2-2.2.12
Linux : RPM Test :  intel-i810-xorg-x11 is <6.9.0.2-2.2.12 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-xorg-x11
RPM Version less than 0:6.9.0.2-2.2.12 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-drm-kmp-xenpae less than 1.2_2.6.16.54_0.2.3-1.2.6
Linux : RPM Test :  intel-i810-drm-kmp-xenpae is <1.2_2.6.16.54_0.2.3-1.2.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-drm-kmp-xenpae
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.6 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-drm-kmp-xen less than 1.2_2.6.16.54_0.2.3-1.2.6
Linux : RPM Test :  intel-i810-drm-kmp-xen is <1.2_2.6.16.54_0.2.3-1.2.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-drm-kmp-xen
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.6 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-drm-kmp-xen less than 1.2_2.6.16.54_0.2.3-1.2.5
Linux : RPM Test :  intel-i810-drm-kmp-xen is <1.2_2.6.16.54_0.2.3-1.2.5 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-drm-kmp-xen
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.5 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-drm-kmp-smp less than 1.2_2.6.16.54_0.2.3-1.2.6
Linux : RPM Test :  intel-i810-drm-kmp-smp is <1.2_2.6.16.54_0.2.3-1.2.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-drm-kmp-smp
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.6 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-drm-kmp-default less than 1.2_2.6.16.54_0.2.3-1.2.5
Linux : RPM Test :  intel-i810-drm-kmp-default is <1.2_2.6.16.54_0.2.3-1.2.5 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-drm-kmp-default
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.5 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-drm-kmp-default less than 1.2_2.6.16.54_0.2.3-1.2.6
Linux : RPM Test :  intel-i810-drm-kmp-default is <1.2_2.6.16.54_0.2.3-1.2.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-drm-kmp-default
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.6 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-drm-kmp-smp less than 1.2_2.6.16.54_0.2.3-1.2.5
Linux : RPM Test :  intel-i810-drm-kmp-smp is <1.2_2.6.16.54_0.2.3-1.2.5 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-drm-kmp-smp
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.5 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-drm-kmp-bigsmp less than 1.2_2.6.16.54_0.2.3-1.2.6
Linux : RPM Test :  intel-i810-drm-kmp-bigsmp is <1.2_2.6.16.54_0.2.3-1.2.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-drm-kmp-bigsmp
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.6 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-agpgart-kmp-xenpae less than 1.2_2.6.16.54_0.2.3-1.2.4
Linux : RPM Test :  intel-i810-agpgart-kmp-xenpae is <1.2_2.6.16.54_0.2.3-1.2.4 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-agpgart-kmp-xenpae
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.4 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-agpgart-kmp-xen less than 1.2_2.6.16.54_0.2.3-1.2.3
Linux : RPM Test :  intel-i810-agpgart-kmp-xen is <1.2_2.6.16.54_0.2.3-1.2.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-agpgart-kmp-xen
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.3 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-agpgart-kmp-xen less than 1.2_2.6.16.54_0.2.3-1.2.4
Linux : RPM Test :  intel-i810-agpgart-kmp-xen is <1.2_2.6.16.54_0.2.3-1.2.4 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-agpgart-kmp-xen
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.4 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-agpgart-kmp-smp less than 1.2_2.6.16.54_0.2.3-1.2.4
Linux : RPM Test :  intel-i810-agpgart-kmp-smp is <1.2_2.6.16.54_0.2.3-1.2.4 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-agpgart-kmp-smp
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.4 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-agpgart-kmp-default less than 1.2_2.6.16.54_0.2.3-1.2.4
Linux : RPM Test :  intel-i810-agpgart-kmp-default is <1.2_2.6.16.54_0.2.3-1.2.4 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-agpgart-kmp-default
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.4 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-agpgart-kmp-smp less than 1.2_2.6.16.54_0.2.3-1.2.3
Linux : RPM Test :  intel-i810-agpgart-kmp-smp is <1.2_2.6.16.54_0.2.3-1.2.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-agpgart-kmp-smp
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.3 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-agpgart-kmp-default less than 1.2_2.6.16.54_0.2.3-1.2.3
Linux : RPM Test :  intel-i810-agpgart-kmp-default is <1.2_2.6.16.54_0.2.3-1.2.3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-agpgart-kmp-default
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.3 (datatype=evr_string)
linux : rpminfo_state 
IF : 915resolution less than 0.5.2.1-1.2.5
Linux : RPM Test :  915resolution is <0.5.2.1-1.2.5 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
915resolution
RPM Version less than 0:0.5.2.1-1.2.5 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-Mesa less than 6.4.2.2-1.2.6
Linux : RPM Test :  intel-i810-Mesa is <6.4.2.2-1.2.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-Mesa
RPM Version less than 0:6.4.2.2-1.2.6 (datatype=evr_string)
linux : rpminfo_state 
IF : intel-i810-agpgart-kmp-bigsmp less than 1.2_2.6.16.54_0.2.3-1.2.4
Linux : RPM Test :  intel-i810-agpgart-kmp-bigsmp is <1.2_2.6.16.54_0.2.3-1.2.4 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
intel-i810-agpgart-kmp-bigsmp
RPM Version less than 0:1.2_2.6.16.54_0.2.3-1.2.4 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : sled10 is installed
Linux : RPM Test :  sled-release is ==10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sled-release
version equals 10
linux : rpminfo_state 
IF : Any one of the following are true
IF : kernel-xenpae less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-xenpae is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-xenpae
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-xen less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-xen is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-xen
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-syms less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-syms is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-syms
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-source less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-source is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-source
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-smp less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-smp is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-smp
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-bigsmp less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-bigsmp is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-bigsmp
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-default less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-default is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-default
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : sled10 is installed
Linux : RPM Test :  sled-release is ==10 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
sled-release
version equals 10
linux : rpminfo_state 
IF : Any one of the following are true
IF : kernel-xen less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-xen is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-xen
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-syms less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-syms is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-syms
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-source less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-source is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-source
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-smp less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-smp is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-smp
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 
IF : kernel-default less than 2.6.16.53-0.8
Linux : RPM Test :  kernel-default is <2.6.16.53-0.8 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
kernel-default
RPM Version less than 0:2.6.16.53-0.8 (datatype=evr_string)
linux : rpminfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html